// priority: 100

//Bedrock Infuser


function bedrockInfuser(time, itemIn, itemOut, power){

    onEvent('recipes', e => {
       e.recipes.custommachinery.custom_machine("caveopolis:bedrock_infuser", time)
            .requireItem(itemIn)
            .produceItem(itemOut)
            .requireEnergyPerTick(power)
            .requireStructure([["a"],["m"]], {"a":"minecraft:bedrock"})
            .resetOnError()
        })
    }

    bedrockInfuser(120, 'minecraft:deepslate', 'caveopolis:bedrock_fragment', 100)


//Block Recipe
    
onEvent('recipes', e => {
    e.shaped(Item.of('custommachinery:custom_machine_item', '{machine:"caveopolis:bedrock_infuser"}'), ['DOD','OSO', 'DOD'], {O: 'minecraft:obsidian', S: Item.of('custommachinery:custom_machine_item', '{machine:"caveopolis:soul_forge"}'), D: 'minecraft:deepslate'}).id('caveopolis:bedrock_infuser')
})


